Get an experiment
Get an experiment associated with the given Id. To use optionalFields check out this guide. For a multivariate test (MVT) experiment, use this endpoint after creation to retrieve the generated section and variation IDs, which you need to set custom traffic allocation with a PATCH request. See Create a multivariate experiment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
OK
URL of the website to load in editor and preview mode
Name of the experiment
Site code of the experiment
Site Id of the project the experiment belongs to
Deprecated. Use trafficAllocationMethod field instead
Indicates if data collection is enabled
CSS code specific to all variations
JavaScript code specific to all variations
Account Id of the creator of the experiment
Date the data collection stops
Date the experiment ceased
Date the experiment was modified
Date the experiment was launched
Date the experiment was last modified
Traffic allocation per variation. Key can be 'origin'(for original page) or variation id.Value is the percentage of traffic which will be directed to this variation.It has to be double numbers ranging from 0(0%) to 1(100%).
JavaScript code that will be applied only to the selected experiment and executed in the end of the Global custom script
List of Ids of the goals being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params
Unique Id of the experiment
Indicates if experiment is archived
Indicates whether multiple testing correction is enabled
Traffic allocation settings for a multivariate test (MVT) experiment. On POST /experiments, Kameleoon accepts this object but always applies equal allocation across variations, regardless of the values you submit. To set custom allocation, submit this object again in a PATCH /experiments/{experimentId} request, using the generated IDs returned by a GET request. Populate only one of sectionsAllocations or combinationsAllocations, not both.
Sections and variations for a multivariate test (MVT) experiment. On creation, the sectionId and variation id values you submit link entries in this array to entries in mvtAllocationSettings; Kameleoon replaces them with its own generated IDs in the response. Kameleoon doesn't return this field on subsequent GET requests.
The respoolTime map contains key-value pairs, where each key is a variation ID and the corresponding value is a timestamp representing the most recent change to the variation’s allocation (for example, using the Kameleoon app or the Automation API).
Status of the experiment
List of tags being used by this experiment.For GET requests, this is an optional field that needs to be specified in request params.
Deprecated. Use the https://api.kameleoon.com/targeting-rules endpoint to update the targeting of your experiment
ALL_VISITORS, AUTOPROMO_AUTODEFINED, GRAPHICAL_PAGES, HEAT_SLICE, PAGE, SAVED_TEMPLATE, SITE, URL Targeting Rule defines the conditions for displaying content to specific user groups based on segments and triggers
Deprecated. Use TargetingRule instead.
Deprecated. Use the https://api.kameleoon.com/targeting-rules endpoint to update the targeting of your experiment
Method for allocating traffic across variations. Set to MANUAL to control the allocation yourself using deviations (classic and developer experiments) or mvtAllocationSettings (multivariate test experiments).
CONTEXTUAL_BANDIT, MANUAL, MULTI_ARMED_BANDIT AI, CLASSIC, DEVELOPER, FEATURE_FLAG, MVT, PROMPT, SDK_HYBRID List of variation ids for this experiment